/* BLOCK: Pricing */

.block-pricing .scrolljacking-wrapper {
    display: flex;
    gap: 1.25rem;
    align-items: flex-start;
}

.block-pricing .scrolljacking-wrapper > * {
    flex-basis: 100%;
}

.block-pricing .sticky-wrapper {
    position: sticky;
    top: 12.5rem;
}

.block-pricing .sticky-wrapper .text-content {
    max-width: 31.25rem;
}

.block-pricing .sticky-wrapper .cta-buttons:not(:first-child) {
    margin-top: 3.75rem;
}

.block-pricing .content-wrapper {
    margin-top: calc(45vh - var(--pt, 0px));
}

.block-pricing .note {
    font-size: var(--font-11-9);
    margin-bottom: 3.125rem;
}

.block-pricing .items-wrapper {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

.block-pricing .item {
    border-radius: 1.5625rem;
    padding: 2.5rem;
}

.block-pricing .item__head {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 1.25rem;
    flex-wrap: wrap;
}

.block-pricing .item__head:not(:last-child) {
    margin-bottom: 3.125rem;
}

.block-pricing .item__main {
    display: flex;
    align-items: flex-end;
    gap: 0.9375rem;
}

.block-pricing .item__value {
    text-wrap: nowrap;
}

.block-pricing :where(.item[class*=theme--light]) .item__unit {
    color: var(--c-primary);
}

.block-pricing :where(.item[class*=theme--dark]:not(.theme--dark-tint-2)) .item__unit {
    color: var(--c-bg-dark-tint-2);
}

.block-pricing .item__tag {
    color: var(--c-text-light);
    line-height: 1.1;
    letter-spacing: -0.05em;
    padding: 0.625rem 0.75rem;
    background-color: rgb(from var(--c-tertiary) r g b / 0.1);
    border: 1px solid var(--c-tertiary);
    border-radius: 0.5rem;
}

.block-pricing .item__logo {
    height: clamp(1.6875rem, 1.3857rem + 1.2381vw, 2.5rem);
    width: auto;
}

.block-pricing .item__description {
    max-width: 75%;
}

.block-pricing .item__description:not(:last-child) {
    margin-bottom: 1.875rem;
}

.block-pricing .item__info {
    display: flex;
    align-items: center;
    gap: 0.625rem 0.9375rem;
    flex-wrap: wrap;
    font-size: var(--font-15-11);
}

.block-pricing :where(.item[class*=theme--dark]) .item__info {
    color: var(--c-bg-light-tint-1);
}
.block-pricing :where(.item[class*=theme--light]) .item__info {
    color: var(--c-primary);
}

.block-pricing .item__info strong {
    font-weight: 700 !important;
}

.block-pricing .item__info svg {
    max-width: 0.9375rem;
    max-height: 0.9375rem;
    color: var(--c-tertiary);
}

.block-pricing .item__text-body {
    color: var(--theme-clr-heading);
}

.block-pricing .item__text-body:not(:first-child) {
    margin-top: 3.125rem;
}

.block-pricing .item__text-body > p {
    margin-block: 0;
}

.block-pricing .item__text-body > p:not(:first-child) {
    margin-top: 2rem;
}

.block-pricing .scrolljacking-wrapper > .cta-buttons {
    justify-content: center;
    margin-top: 3.375rem;
}

@media screen and (width <= 920px) {
    .block-pricing .sticky-wrapper {
        flex-basis: 75%;
    }

    .block-pricing .sticky-wrapper .text-content {
        max-width: 18.75rem;
    }

    .block-pricing .note {
        margin-bottom: 1.5625rem;
    }

    .block-pricing .item {
        padding: 1.375rem;
        border-radius: 1.125rem;
    }

    .block-pricing .item__head:not(:last-child) {
        margin-bottom: 2.5rem;
    }

    .block-pricing .item__main {
        gap: 0.625rem;
    }

    .block-pricing .item__description {
        max-width: 90%;
    }

    .block-pricing .item__description:not(:last-child) {
        margin-bottom: 1.5rem;
    }

    .block-pricing .item__info {
        gap: 0.625rem;
    }
}

@media screen and (width <= 620px) {
    .block-pricing .scrolljacking-wrapper {
        display: block;
    }

    .block-pricing .sticky-wrapper {
        position: static;
        margin-bottom: 4.6875rem;
    }

    .block-pricing .content-wrapper {
        margin-top: 0;
    }

    .block-pricing .items-wrapper {
        gap: 0.75rem;
    }

    .block-pricing .item__tag {
        padding: 0.5rem 0.625rem;
    }

    .block-pricing .item__info svg {
        max-width: 0.6875rem;
        max-height: 0.6875rem;
    }
}